// This module deals with converting the notification object into Json format, which might be useful for data exchange
use crate::notification::Notification;
use serde_json::{json, Value}; // json!() macro and Value type

impl Notification {
    pub fn json(&self) -> Value {
        json!(self)
    }
}
